### Class

# WebKit GeolocationManager

#### Description [src]

    final class WebKit.GeolocationManager : GObject.Object {
      /* No available fields */
    }

Geolocation manager.

WebKitGeolocationManager provides API to get the geographical position of the user. Once a `WebKitGeolocationPermissionRequest` is allowed, when WebKit needs to know the user location `WebKitGeolocationManager::start` signal is emitted. If the signal is handled and returns `TRUE`, the application is responsible for providing the position every time it’s updated by calling webkit_geolocation_manager_update_position(). The signal `WebKitGeolocationManager::stop` will be emitted when location updates are no longer needed.

Available since: | 2.26

#### Ancestors

- GObject

#### Instance methods

###### webkit_geolocation_manager_failed

Notify `manager` that determining the position failed.

Available since: 2.26

###### webkit_geolocation_manager_get_enable_high_accuracy

Get whether high accuracy is enabled.

Available since: 2.26

###### webkit_geolocation_manager_update_position

Notify `manager` that position has been updated to `position`.

Available since: 2.26

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.GeolocationManager:enable-high-accuracy

Whether high accuracy is enabled. This is a read-only property that will be set to `TRUE` when a `WebKitGeolocationManager` needs to get accurate position updates. You can connect to notify::enable-high-accuracy signal to monitor it.

Available since: 2.26

#### Signals

###### WebKit.GeolocationManager::start

The signal is emitted to notify that `manager` needs to start receiving position updates. After this signal is emitted the user should provide the updates using `webkit_geolocation_manager_update_position()` every time the position changes, or use `webkit_geolocation_manager_failed()` in case it isn’t possible to determine the current position.

Available since: 2.26

###### WebKit.GeolocationManager::stop

The signal is emitted to notify that `manager` doesn’t need to receive position updates anymore.

Available since: 2.26

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitGeolocationManagerClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.